Lavalite package that provides cole management facility for the cms.

## Installation

Begin by installing this package through Composer. Edit your project's `composer.json` file to require `ben/cole`.

    "ben/cole": "dev-master"

Next, update Composer from the Terminal:

    composer update

Once this operation completes execute below cammnds in command line to finalize installation.

    Ben\Cole\Providers\ColeServiceProvider::class,

And also add it to alias

    'Cole'  => Ben\Cole\Facades\Cole::class,

## Publishing files and migraiting database.

**Migration and seeds**

    php artisan migrate
    php artisan db:seed --class=Ben\\Cole\\Seeders\\ColeTableSeeder

**Publishing configuration**

    php artisan vendor:publish --provider="Ben\Cole\Providers\ColeServiceProvider" --tag="config"

**Publishing language**

    php artisan vendor:publish --provider="Ben\Cole\Providers\ColeServiceProvider" --tag="lang"

**Publishing views**

    php artisan vendor:publish --provider="Ben\Cole\Providers\ColeServiceProvider" --tag="view"


### Web Urls

**Admin**

    http://path-to-route-folder/admin/cole/{modulename}

**User**

    http://path-to-route-folder/user/cole/{modulename}

**Public**

    http://path-to-route-folder/coles


### API endpoints

**List**

    http://path-to-route-folder/api/user/cole/{modulename}
    METHOD: GET

**Create**

    http://path-to-route-folder/api/user/cole/{modulename}
    METHOD: POST

**Edit**

    http://path-to-route-folder/api/user/cole/{modulename}/{id}
    METHOD: PUT

**Delete**

    http://path-to-route-folder/api/user/cole/{modulename}/{id}
    METHOD: DELETE

**Public List**

    http://path-to-route-folder/api/cole/{modulename}
    METHOD: GET

**Public Single**

    http://path-to-route-folder/api/cole/{modulename}/{slug}
    METHOD: GET